List configs

List all configs with optional filters

POST
/configs/list
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

List configs input

key?bv.StringFilter

Filter by key.

pagination?bv.Pagination

Pagination parameters. Cursor is the ID of the last item in the previous page.

scopeConfigScope

Scope of the configs. Must be one of the following: organization, space, app.

scopeId?string

ID of the scope (space, app, etc.) where the configs are applicable.

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/configs/list" \  -H "Content-Type: application/json" \  -d '{    "scope": "tenant"  }'
[
  {
    "allowUserOverride": true,
    "createdAt": "string",
    "deprecatedVersion": true,
    "id": "string",
    "key": "string",
    "organizationId": "string",
    "schema": null,
    "scope": "tenant",
    "scopeId": "string",
    "system": true,
    "updatedAt": "string",
    "value": null,
    "version": 0
  }
]
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}